Page MenuHomePhabricator

Page previews should be shown on long press for mobile devices
Closed, DuplicatePublic

Description

This task tracks the discussion for the proposal of a new feature on MinervaNeue. It needs a lot of discussion before it will be ready to work on.

User Story

Page previews are incredibly useful on desktop to maintain context and avoid opening many tabs or new browser windows. Since window management is even clumsier on mobile devices, page previews would be an exceptionally useful feature to have on phones and tablets too. The work required is more than just turning it on for MinervaNeue. The mobile UI will need an update and perhaps the precedent set by Android's link previews can be considered.

Acceptance Criteria

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 3:09 PM
Vvjjkkii renamed this task from Page previews should be shown on long press for mobile devices to o3aaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from o3aaaaaaaa to Page previews should be shown on long press for mobile devices.Jul 2 2018, 12:25 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.